Get V1 vault
Morpho Vault V1 configuration: identity (name, symbol, version), underlying asset, factory, fee setup, owner/curator/guardian roles, and timelock.
Vault selector example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB (format: <chain_id>:<vault_address>; replace with the target vault).
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB.
Format
<chain_id>:<vault_address>Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const vaultSelector = "1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB";const url = new URL(`${baseUrl}/v0/vaults-v1/${vaultSelector}`);const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"data": {
"chain_id": 1,
"address": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB",
"last_indexed_block": "25475346",
"version": "1.0",
"name": "Steakhouse USDC",
"symbol": "steakUSDC",
"asset": {
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6,
"name": "USDCoin",
"symbol": "USDC"
},
"factory_address": "0xA9c3D3a366466Fa809d1Ae982Fb2c46E5fC41101",
"creation_block_number": "18928285",
"fee_wad": "50000000000000000",
"fee_recipient": "0x255c7705e8BB334DfCae438197f7C4297988085a",
"skim_recipient": null,
"owner": "0x0A0e559bc3b0950a7e448F0d4894db195b9cf8DD",
"curator": "0x827e86072B06674a077f592A531dcE4590aDeCdB",
"guardian": "0xaa0500198B4425DfC4E272FbE42C8E64E21fc03d",
"timelock_seconds": 604800
}
}